HMWKTextInternal::State Struct Reference

Internal: the state of a HMWKText. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
std::multimap< long, shared_ptr< HMWKZone > > | m_IdTextMaps
| the map of id -> text zone More...
std::map< long, int > | m_IdTypeMaps
| the zone frame type if known More...
std::vector< long > | m_tokenIdList
| the token id list More...
std::vector< Section > | m_sectionList
| the list of section More...
int | m_numPages
int | m_actualPage
long | m_headerId
| the header text zone id or 0 More...
long | m_footerId
| the footer text zone id or 0 More...

## Detailed Description

Internal: the state of a HMWKText.

## Constructor & Destructor Documentation

HMWKTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int HMWKTextInternal::State::m_actualPage

long HMWKTextInternal::State::m_footerId

the footer text zone id or 0

long HMWKTextInternal::State::m_headerId

the header text zone id or 0

std::multimap<long, shared_ptr<HMWKZone> > HMWKTextInternal::State::m_IdTextMaps

the map of id -> text zone

std::map<long,int> HMWKTextInternal::State::m_IdTypeMaps

the zone frame type if known

int HMWKTextInternal::State::m_numPages

std::vector<Section> HMWKTextInternal::State::m_sectionList

the list of section

std::vector<long> HMWKTextInternal::State::m_tokenIdList

the token id list

int HMWKTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- HMWKText.cxx